Package io.flutter.embedding.engine.mutatorsstack

## Enum FlutterMutatorsStack.FlutterMutatorType

- java.lang.Object
- - java.lang.Enum<FlutterMutatorsStack.FlutterMutatorType>
  - - io.flutter.embedding.engine.mutatorsstack.FlutterMutatorsStack.FlutterMutatorType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FlutterMutatorsStack.FlutterMutatorType>`
  Enclosing class:
    FlutterMutatorsStack

      public static enum FlutterMutatorsStack.FlutterMutatorType
      extends Enum<FlutterMutatorsStack.FlutterMutatorType>

  The type of a Mutator See `FlutterMutatorsStack.FlutterMutator` for informations on Mutators.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLIP_PATH` |
    `CLIP_RECT` |
    `CLIP_RRECT` |
    `OPACITY` |
    `TRANSFORM` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FlutterMutatorsStack.FlutterMutatorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FlutterMutatorsStack.FlutterMutatorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIP_RECT

          public static final FlutterMutatorsStack.FlutterMutatorType CLIP_RECT

    - #### CLIP_RRECT

          public static final FlutterMutatorsStack.FlutterMutatorType CLIP_RRECT

    - #### CLIP_PATH

          public static final FlutterMutatorsStack.FlutterMutatorType CLIP_PATH

    - #### TRANSFORM

          public static final FlutterMutatorsStack.FlutterMutatorType TRANSFORM

    - #### OPACITY

          public static final FlutterMutatorsStack.FlutterMutatorType OPACITY

  - ### Method Detail

    - #### values

          public static FlutterMutatorsStack.FlutterMutatorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlutterMutatorsStack.FlutterMutatorType c : FlutterMutatorsStack.FlutterMutatorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlutterMutatorsStack.FlutterMutatorType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null